/**************************************************************************\
*
* Copyright (c) 1998-2001, Microsoft Corp.  All Rights Reserved.
*
* Module Name:
*
*   Gdiplus.h
*
* Abstract:
*
*   GDI+ public header file
*
\**************************************************************************/

#ifndef INCLUDED_GDIPLUS_H
#define INCLUDED_GDIPLUS_H

struct IDirectDrawSurface7;

typedef signed   short   INT16;
typedef unsigned short  UINT16;

#include <pshpack8.h>   // set structure packing to 8

namespace Gdiplus
{
    namespace DllExports
    {
#ifndef INCLUDED_GDIPLUSMEM_H
#include <gdiplusmem.h>
#endif
    };

#ifndef INCLUDED_GDIPLUSBASE_H
#include <gdiplusbase.h>
#endif
#ifndef INCLUDED_GDIPLUSENUMS_H
#include <gdiplusenums.h>
#endif
#ifndef INCLUDED_GDIPLUSTYPES_H
#include <gdiplustypes.h>
#endif
#ifndef INCLUDED_GDIPLUSINIT_H
#include <gdiplusinit.h>
#endif
#ifndef INCLUDED_GDIPLUSPIXELFORMATS_H
#include <gdipluspixelformats.h>
#endif
#ifndef INCLUDED_GDIPLUSCOLOR_H
#include <gdipluscolor.h>
#endif
#ifndef INCLUDED_GDIPLUSMETAHEADER_H
#include <gdiplusmetaheader.h>
#endif
#ifndef INCLUDED_GDIPLUSIMAGING_H
#include <gdiplusimaging.h>
#endif
#ifndef INCLUDED_GDIPLUSCOLORMATRIX_H
#include <gdipluscolormatrix.h>
#endif
#ifndef INCLUDED_GDIPLUSGPSTUBS_H
#include <gdiplusgpstubs.h>
#endif
#ifndef INCLUDED_GDIPLUSHEADERS_H
#include <gdiplusheaders.h>
#endif
namespace DllExports
{
#ifndef INCLUDED_GDIPLUSFLAT_H
#include <gdiplusflat.h>
#endif
};


#ifndef INCLUDED_GDIPLUSIMAGEATTRIBUTES_H
#include <gdiplusimageattributes.h>
#endif
#ifndef INCLUDED_GDIPLUSMATRIX_H
#include <gdiplusmatrix.h>
#endif
#ifndef INCLUDED_GDIPLUSBRUSH_H
#include <gdiplusbrush.h>
#endif
#ifndef INCLUDED_GDIPLUSPEN_H
#include <gdipluspen.h>
#endif
#ifndef INCLUDED_GDIPLUSSTRINGFORMAT_H
#include <gdiplusstringformat.h>
#endif
#ifndef INCLUDED_GDIPLUSPATH_H
#include <gdipluspath.h>
#endif
#ifndef INCLUDED_GDIPLUSLINECAPS_H
#include <gdipluslinecaps.h>
#endif
#ifndef INCLUDED_GDIPLUSMETAFILE_H
#include <gdiplusmetafile.h>
#endif
#ifndef INCLUDED_GDIPLUSGRAPHICS_H
#include <gdiplusgraphics.h>
#endif
#ifndef INCLUDED_GDIPLUSCACHEDBITMAP_H
#include <gdipluscachedbitmap.h>
#endif
#ifndef INCLUDED_GDIPLUSREGION_H
#include <gdiplusregion.h>
#endif
#ifndef INCLUDED_GDIPLUSFONTCOLLECTION_H
#include <gdiplusfontcollection.h>
#endif
#ifndef INCLUDED_GDIPLUSFONTFAMILY_H
#include <gdiplusfontfamily.h>
#endif
#ifndef INCLUDED_GDIPLUSFONT_H
#include <gdiplusfont.h>
#endif
#ifndef INCLUDED_GDIPLUSBITMAP_H
#include <gdiplusbitmap.h>
#endif
#ifndef INCLUDED_GDIPLUSIMAGECODEC_H
#include <gdiplusimagecodec.h>
#endif

}; // namespace Gdiplus

#include <poppack.h>    // pop structure packing back to previous state

#endif
