/*

    Copyright (c) Microsoft Corporation. All rights reserved.

*/

#ifndef INCLUDED_MSPBASE_H
#define INCLUDED_MSPBASE_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define STRICT
#define _ATL_FREE_THREADED
#ifndef INCLUDED_ATLBASE_H
#include <atlbase.h>
#endif
//You may derive a class from CComModule and use it if you want to override
//something, but do not change the name of _Module
extern CComModule _Module;
#ifndef INCLUDED_ATLCOM_H
#include <atlcom.h>
#endif
#ifndef INCLUDED_TAPI_H
#include <tapi.h>
#endif
//DirectShow headers.
#ifndef INCLUDED_STRMIF_H
#include <strmif.h>
#endif
#ifndef INCLUDED_CONTROL_H
#include <control.h>
#endif
#ifndef INCLUDED_UUIDS_H
#include <uuids.h>
#endif
#ifndef INCLUDED_TERMMGR_H
#include <termmgr.h>
#endif
#ifndef INCLUDED_MSP_H
#include <msp.h>
#endif
#ifndef INCLUDED_TAPI3ERR_H
#include <tapi3err.h>
#endif
#ifndef INCLUDED_TAPI3IF_H
#include <tapi3if.h>
#endif

// We use this libid for all our type library stuff. That way,
// app writers don't have to load the type libraries for random
// MSPs when they are writing tapi3 apps.

EXTERN_C const IID LIBID_TAPI3Lib;

#ifndef INCLUDED_MSPENUM_H
#include <mspenum.h>
#endif
#ifndef INCLUDED_MSPLOG_H
#include <msplog.h>
#endif
#ifndef INCLUDED_MSPUTILS_H
#include <msputils.h>
#endif
#ifndef INCLUDED_MSPADDR_H
#include <mspaddr.h>
#endif
#ifndef INCLUDED_MSPCALL_H
#include <mspcall.h>
#endif
#ifndef INCLUDED_MSPSTRM_H
#include <mspstrm.h>
#endif
#ifndef INCLUDED_MSPTHRD_H
#include <mspthrd.h>
#endif
#ifndef INCLUDED_MSPCOLL_H
#include <mspcoll.h>
#endif
#ifndef INCLUDED_MSPTERM_H
#include <mspterm.h>
#endif
#ifndef INCLUDED_MSPTRMAC_H
#include <msptrmac.h>
#endif
#ifndef INCLUDED_MSPTRMAR_H
#include <msptrmar.h>
#endif
#ifndef INCLUDED_MSPTRMVC_H
#include <msptrmvc.h>
#endif

#endif
