//+---------------------------------------------------------------------------
//
//  Microsoft Windows
//  Copyright (C) Microsoft Corporation, 1996-1999
//
//  File:       ads.h
//
//  Contents:   Master include file for Ole Ds
//
//  Notes:      All Ole Ds client applications must include this file. This
//              provides access to the primary Ole Ds interfaces, the error
//              codes, and function prototypes for the Ole Ds helper apis.
//
//----------------------------------------------------------------------------

#ifndef INCLUDED_ACTIVEDS_H
#define INCLUDED_ACTIVEDS_H

#if _MSC_VER > 1000
#pragma once
#endif

//
// Interface definitions and well known GUIDS for Ole Ds
//

#ifndef INCLUDED_IADS_H
#include <iads.h>
#endif

//
// Helper function prototypes for Ole Ds
//

#ifndef INCLUDED_ADSHLP_H
#include <adshlp.h>
#endif

//
// Error codes for Ole Ds - generated from ..\..\errmsg
//

#ifndef INCLUDED_ADSERR_H
#include <adserr.h>
#endif

//
// Globally accessible GUIDS
//

#ifndef INCLUDED_ADSIID_H
#include <adsiid.h>
#endif

//
// Status codes for ads objects
//
#ifndef INCLUDED_ADSSTS_H
#include <adssts.h>
#endif
//
// Schema class names and other schema related definitions
//
#ifndef INCLUDED_ADSNMS_H
#include <adsnms.h>
#endif

//
// Definitions in the OLE DB provider for ADSI
//

#ifndef INCLUDED_ADSDB_H
#include <adsdb.h>
#endif
#endif
