/*++ BUILD Version: 0001    // Increment this if a change has global effects

Copyright (c) 1991-1999  Microsoft Corporation

Module Name:

    lm.h

Abstract:

    This is the top level include file that includes all the files
    necessary for writing Lan Manager Application.

[Environment:]

    User Mode - Win32

--*/

#ifndef INCLUDED_LM_H
#define INCLUDED_LM_H

#if _MSC_VER > 1000
#pragma once
#endif

#ifndef INCLUDED_LMCONS_H
#include <lmcons.h>     // LAN Manager common definitions
#endif
#ifndef INCLUDED_LMERR_H
#include <lmerr.h>      // LAN Manager network error definitions
#endif
#ifndef INCLUDED_LMACCESS_H
#include <lmaccess.h>   // Access, Domain, Group and User classes
#endif
#ifndef INCLUDED_LMALERT_H
#include <lmalert.h>    // Alerter
#endif
#ifndef INCLUDED_LMSHARE_H
#include <lmshare.h>    // Connection, File, Session and Share classes
#endif
#ifndef INCLUDED_LMMSG_H
#include <lmmsg.h>      // Message class
#endif
#ifndef INCLUDED_LMREMUTL_H
#include <lmremutl.h>   // Remote Utility class
#endif
#ifndef INCLUDED_LMREPL_H
#include <lmrepl.h>     // Replicator class
#endif
#ifndef INCLUDED_LMSERVER_H
#include <lmserver.h>   // Server class
#endif
#ifndef INCLUDED_LMSVC_H
#include <lmsvc.h>      // Service class
#endif
#ifndef INCLUDED_LMUSE_H
#include <lmuse.h>      // Use class
#endif
#ifndef INCLUDED_LMWKSTA_H
#include <lmwksta.h>    // Workstation class
#endif
#ifndef INCLUDED_LMAPIBUF_H
#include <lmapibuf.h>   // NetApiBuffer class
#endif
#ifndef INCLUDED_LMERRLOG_H
#include <lmerrlog.h>   // NetErrorLog class
#endif
#ifndef INCLUDED_LMCONFIG_H
#include <lmconfig.h>   // NetConfig class
#endif
#ifndef INCLUDED_LMSTATS_H
#include <lmstats.h>    // NetStats class
#endif
#ifndef INCLUDED_LMAUDIT_H
#include <lmaudit.h>    // NetAudit class
#endif
#ifndef INCLUDED_LMJOIN_H
#include <lmjoin.h>     // NetJoinDomain class
#endif
#endif
